%define prefix /usr
%define majorversion 0.98
Name: xcdroast
Version: %{majorversion}alpha15
Release: 4 
Summary: A userfriendly GUI for copying and creating Audio- and Data-CDs
Copyright: GPL 
Vendor: Thomas Niederreiter
Group: Applications/Multimedia
Source: http://www.xcdroast.org/download/xcdroast-%{version}.tar.gz
Url: http://www.xcdroast.org
BuildRoot: /tmp/%{name}-%{version}-root
Requires: cdrecord, mkisofs, cdda2wav
BuildRequires: gtk2-devel >= 2.0.6

Patch0: xcdroast-0.98a15-pcre-lib_config.patch
Patch1: xcdroast-0.98a15-gtk2locale.patch
Patch2: xcdroast-0.98a15-64bit_gsize.patch
Patch3: xcdroast-0.98a15-wav.patch
Patch4: xcdroast.diff
 
%description
X-CD-Roast is a program-package dedicated to easy CD creation
under most Unix-platforms. It combines command line tools like "cdrecord",
"cdda2wav", and "mkisofs" into a nice graphical user interface.

%prep
%setup -n xcdroast-%{version}

%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
%if %{_arch} == "x86_64"
%patch4 -p0
%else
%endif

%build
CC="gcc $RPM_OPT_FLAGS -fPIC" 
./configure --prefix=%{prefix} --mandir=%{prefix}/share/man \
  --sysconfdir=/etc --enable-gtk2 --libdir=%{_libdir} \
  --with-xcdroast-libdir-prefix=/usr/%{_lib}/xcdroast-0.98
make
 
%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/applications/kde
cp -f extra/xcdroast.desktop $RPM_BUILD_ROOT/opt/kde3/share/applications/kde/
strip -R .comment $RPM_BUILD_ROOT%{prefix}/bin/xcdroast


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/*
%{prefix}/bin/xcdroast
%{prefix}/share/man/man1/xcdroast.1*
%{_libdir}/xcdroast-%{majorversion}/*
%{prefix}/share/locale/*
/opt/kde3/share/applications/kde/xcdroast.desktop

%changelog
* Tue Aug 24 2004 Joe Morris <joe_morris@ntm.org>
- modified to build on x86_64
* Sun Jul 11 2004 William M. Quarles
  <walrus@bellsouth.net> <quarlewm@jmu.edu>
- 0.98alpha15 release 2
- Added various patches for bugs in 0.98alpha15 from
  xcdroast.org (except read_eagain.patch)
- pcre-lib is not required, using this new configure
  script removes the dependency. -TN
  Removed corresponding BuildRequires. -WMQ
- Fixes a bug where on some systems the use of non-english
  characters works incorrectly in filenames. However,
  there are also systems where this patch will BREAK
  support for non-english characters. Please report back
  to <tn@xcdroast.org>. -TN
- Fixes a core dump when using a 64-bit platform. -James
  Noyes
- Much more nicer in accepting some wav files to burn.
  -Steve Wahl

* Fri Oct 31 2003 Thomas Chung <tchung@linuxinstall.org>
- Added BuildRequires: pcre-devel for GTK2 systems
- Added Symlink to /usr/sbin/xcdroast for Fedora Core 1

* Tue Oct 28 2003 Thomas Niederreiter <tn@xcdroast.org>
- 0.98alpha15 release 1

* Mon Sep 29 2003 Luis Hernandez <newton@math.gatech.edu>
- 0.98alpha14 release 4
- Made some cosmetic to my original spec file to make it
  more similar to the spec file in  0.98alpha14  release
  1.
- As it is now,  this spec file needs  some minor fixes;
  in particular  xcdroast.desktop  is going to more than
  one place, and that is not required.

* Mon Sep 29 2003 Luis Hernandez <newton@math.gatech.edu>
- 0.98alpha14 release 3
- Added all (four) available patches
- Spec file updated accordingly.

* Sat Jul 05 2003 Luis Hernandez <newton@math.gatech.edu>
- Updated  and  added some  changes  to  spec a file (in
  fact,  I used an spec file  whose author is unknown to
  me), then built 0.98alpha14 from tarball.
